Bug 445348 - Please port the mtrr fixes from 2.4.25 so that some hardware can boot with >4GiB memory
Please port the mtrr fixes from 2.4.25 so that some hardware can boot with >4...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 08:14 EDT by Noa Resare
Modified: 2008-05-29 08:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-29 08:11:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mtrr change from bug 438960 (54.11 KB, patch)
2008-05-12 15:17 EDT, Linda Wang
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 438960 None None None Never

  None (edit)
Description Noa Resare 2008-05-06 08:14:46 EDT
Description of problem:

I have an Intel G965 based motherboard from Asus named P5B-VM whose BIOS needs a MTRR 
workaround from recent mainline kernels to be able to boot when I install more than 4GiB of memory.

I reported this problem for Fedora 8 as #438960 and it was promptly fixed, but now I need to run RHEL 
5 to do some work related stuff on my machine and the update kernel 2.6.18-53.1.14.el5 exhibits the 
same problems as fedora kernels did before kernel-2.6.24.4-64.fc8

Version-Release number of selected component (if applicable):
kernel-2.6.18-53.1.14.el5

How reproducible:
always

Steps to Reproduce:
1. get my motherboard
2. install more than 4GiB of memory
3. try to boot
  
Actual results:
the boot grinds to a halt, as predicted by the upstream fix author (referenced in the original bug).

Expected results:
a regular boot, as exhibited when 4GiB memory or less is installed.

Additional info:
as stated above, the fix from 2.6.25 backported to the 2.6.24 based fedora kernel is available from https://bugzilla.redhat.com/show_bug.cgi?id=438960 as well as pointers to the relevant commits to 
the upstream tree.

If you need help testing  proposed patches to verify that it solves the problem, I'm more than willing to 
help out with that.
Comment 1 Linda Wang 2008-05-12 15:17:55 EDT
Created attachment 305161 [details]
mtrr change from bug 438960

patch from bug 438960 comment#17 by djones. 
This is the take2 patch that went into fedora 8.
Comment 2 Prarit Bhargava 2008-05-29 08:11:10 EDT
Please be advised, that Bugzilla is not a support tool. It is an
Engineering and Community tool. So although all changes to Enterprise
Linux go through Bugzilla and Red Hat considers issues directly entered
into Bugzilla valuable feedback, there is no SLA around it.

If this is a production issue, please report it to your Red Hat Support contact.

Thank you.
Comment 3 Noa Resare 2008-05-29 08:28:32 EDT
I am advised. However, my guess is that my hardware is not all that exotic, the fix is nicely contained and 
suitable for backporting IMO so integrating it into the RHEL5 kernel would be something that RH would 
want to do.

After all, the next customer that hits this problem might not be able to point you to the relevant fix and if 
you proactively address this issue now, your own time and customers time might be saved later on.

Well well, in a couple of years we'll have a RH release based on a later upstream kernel (and I will have 
new hardware) and inte meantime I'll be able to use Fedora and live with the mismatch between our 
development and production environment.

Note You need to log in before you can comment on or make changes to this bug.